# koishi-plugin-hisoutensoku-jammer

~~听说你喜欢打则~~

这个插件会监听一些群或其他来源的消息，若有人发布打则的 IP 地址，则自动干扰打则。

## 安装

### npm

```bash
npm install koishi-plugin-hisoutensoku-jammer
```

### 直接安装

在 https://cdn01.moecube.com/nanahira/koishi-plugin/hisoutensoku-jammer/index.js 下载，并配置 `koishi.config.js` 。

```js
module.exports = {
    plugins: { 
        "/path/to/hisoutensoku-jammer/index.js": {
            target: (ctx) => ctx.all(),
            attackTimeout: 10000,
            addressWhitelist: []
        }
    }
}
```

## 配置

```ts
const defaultConfig: HisoutensokuJammerConfig = {
  target: (ctx: Context) => ctx.all(),
  attackTimeout: 10000,
  addressWhitelist: [],
};
```

### 说明

* `target` 一个上下文函数，决定作用域。如 `(ctx) => ctx.group('1111111111')` 为只对群 1111111111 有效。

* `attackTimeout` 每次的干扰时长，单位 ms 。

* `addressWhitelist` IP 白名单列表。白名单的 IP 地址不会被干扰。